## python2.7 2.7.16.5

=== debian/changelog ===
python2.7 (2.7.16.5-1+dde) unstable; urgency=medium

  * fix CVE-2019-20907 and CVE-2020-8492

 -- Ding Heng <dingheng@uniontech.com>  Sun, 09 Oct 2022 16:54:49 +0800

python2.7 (2.7.16.4-1+dde) unstable; urgency=medium

  * add loongarch64 support

 -- Angie.J <doucaixia@uniontech.com>  Thu, 30 Sep 2021 10:54:14 +0800

python2.7 (2.7.16.3-1+dde) unstable; urgency=medium

  * uos sw64 porting

 -- deepin/sw64 team <sunway@deepin.com>  Tue, 23 Feb 2021 13:35:05 +0800
