=== debian/watch ===
version=3
opts=dversionmangle=s/.*\+//,uversionmangle=s/([abcr]+[1-9])$/~$1/ \
  http://www.python.org/ftp/python/(2\.7\.\d*)/Python-(2\.7[.\dabcr]*)\.tgz
