## python2.7 2.7.18.1

=== debian/changelog ===
python2.7 (2.7.18.1-1+deepin) UNRELEASED; urgency=medium

  * update

 -- Matthias Klose <doko@debian.org>  Thu, 28 Jul 2022 13:57:38 +0800

python2.7 (2.7.18.1-1+deepin) unstable; urgency=medium

  * Add sunway support.

 -- Miao Changwei <miaochangwei@uniontech.com>  Thu, 21 Apr 2022 01:45:40 +0800

python2.7 (2.7.18-13.4) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2021-4189: make ftplib not trust the PASV response.
  * CVE-2021-23336: only use '&' as a query string separator.

 -- Anton Gladky <gladk@debian.org>  Mon, 28 Mar 2022 22:47:09 +0200

python2.7 (2.7.18-13) unstable; urgency=medium

  * Skip tests requiring TLS 1.2 under OpenSSL 3.
  * Test suite adjustments for Expat >=2.4.5. Closes: #1006240.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Feb 2022 12:45:08 +0100

python2.7 (2.7.18-12) unstable; urgency=medium

  * Apply patches for a binary-indep only build.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Jan 2022 18:03:09 +0100

python2.7 (2.7.18-11) unstable; urgency=medium

  [ Stefano Rivera ]
  * Preliminary OpenSSL 3 support.
  * Support building docs with Sphinx 4.

  [ Matthias Klose ]
  * (Build-)Depend on media-types. Closes: #991565.
  * Bump standards version.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Jan 2022 15:07:38 +0100

python2.7 (2.7.18-9) unstable; urgency=medium

  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Sep 2021 11:39:51 +0200

python2.7 (2.7.18-8) unstable; urgency=medium

  [ Andreas Beckmann ]
  * python2.7, libpython2.7-minimal: Add Breaks: python-dev (<< 2.7.18),
    libpython-dev (<< 2.7.18), python-dbg (<< 2.7.18),
    libpython-dbg (<< 2.7.18) to remove more unversioned python packages.
    Add Breaks: libgcj-common (<< 1:7), libvolk1-bin (<< 2),
    pysycache (<< 3.1-4~), python-catkin-pkg (<< 0.4.14-2~),
    python-chardet (<< 3.0.4-6~), python-extras (<< 1.0.0-4~),
    python-fixtures (<< 3.0.0-3~), python-genpy (<< 0.6.9-2~),
    python-iso8601 (<< 0.1.12-2~), python-linecache2 (<< 1.0.0-4~),
    python-pbr (<< 5.4.5), python-pyasn1 (<< 0.4.2-4~),
    python-pygame (<< 1.9.6+dfsg-3~), python-pyicu (<< 2.2-3~),
    python-rospkg (1.1.10-2~), python-std-msgs (<< 0.5.12-2~),
    python-testtools (<< 2.3.0-7~), python-traceback2 (<< 1.4.0-6~),
    python-traitlets (<< 4.3.3-3~), python-urllib3 (<< 1.25.8-2~),
    python-yaml (<< 5.3.1-2~) to remove some persisting obsolete module
    packages along the unversioned python packages on upgrades from buster.
    Closes: #990520.
  * libpython2.7-stdlib: Breaks: ${python27:Breaks}, too.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Jul 2021 10:11:37 +0200

python2.7 (2.7.18-7) unstable; urgency=medium

  [ Andreas Beckmann ]
  * python2.7, libpython2.7-minimal: Add Breaks: python (<< 2.7.18) to ensure
    removal of the unversioned python packages on upgrades from buster. The
    previously added (transitive) Breaks are not sufficient in a few upgrade
    scenarios. Closes: #987661.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Apr 2021 19:39:59 +0200

python2.7 (2.7.18-6) unstable; urgency=medium

  * python2.7, libpython2.7-minimal: Add Breaks: python-minimal (<< 2.7.18),
    libpython-stdlib (<< 2.7.18) to ensure removal of the unversioned python
    packages on upgrades from buster (Andreas Beckmann). Closes: #984777.

 -- Matthias Klose <doko@debian.org>  Tue, 09 Mar 2021 21:20:32 +0100

python2.7 (2.7.18-5) unstable; urgency=medium

  * Use the posix_prefix layout when inside a virtualenv (Stefano Rivera).
    Closes: #983552.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Feb 2021 09:40:44 +0100

python2.7 (2.7.18-4) unstable; urgency=medium

  * Update the patch for issue #42938 (Marc Deslauriers). Closes: #983516.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Feb 2021 07:17:59 +0100

python2.7 (2.7.18-2) unstable; urgency=medium

  * Fix issue #39017: Avoid infinite loop when reading specially crafted TAR
    files using the tarfile module (CVE-2019-20907).
  * Backport of 0b297d4ff1c0e4480ad33acae793fbaf4bf015b4, trimmed down to the
    fix for CVE-2020-8492. Closes: #970099.
  * Fix FTCBFS: Add back a dependency on python2.7:any (Helmut Grohne).
    Closes: #939514.
  * Fix issue #42938: Replace snprintf with Python unicode formatting in
    ctypes param reprs (CVE-2021-3177) (Saif Hakim). LP: #1916117.

 -- Matthias Klose <doko@debian.org>  Sat, 20 Feb 2021 18:14:40 +0100

python2.7 (2.7.18-1) unstable; urgency=medium

  * Python 2.7.18 release.
  * Let the Python2 end-of-life banner point to the python3 packages, not to
    the online documentation.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 20 Apr 2020 22:30:41 +0200

python2.7 (2.7.18~rc1-2) unstable; urgency=medium

  * Ignore some autopkg tests:
    - test_ssl: Fails with OPENSSL_TLS_SECURITY_LEVEL=2.
    - tst_io: Fails on Ubuntu's autopkg test infrastructure.
  * Lower OpenSSL security level from 2 to 1 during testing as test_ssl
    assumes that.
  * Add XB-Cnf-Visible-Pkgname header on the python*-minimal package to
    point command-not-found at the full one. LP: #1867157

 -- Matthias Klose <doko@debian.org>  Tue, 07 Apr 2020 14:05:55 +0200

python2.7 (2.7.18~rc1-1) unstable; urgency=medium

  * Python 2.7.18 release candidate 1.
    - bpo-38576: Disallow control characters in hostnames in http.client,
      addressing CVE-2019-18348.
  * Make autopkgtests cross-test-friendly (Steve Langasek).

 -- Matthias Klose <doko@debian.org>  Tue, 07 Apr 2020 11:34:05 +0200

python2.7 (2.7.17-1) unstable; urgency=medium

  * Python 2.7.17 release.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Oct 2019 01:36:22 +0200

python2.7 (2.7.17~rc1-1) unstable; urgency=medium

  * Python 2.7.17 release candidate 1.
    - CVE-2019-16056, don't parse domains containing @. Closes: #940901.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Oct 2019 12:26:01 +0200

python2.7 (2.7.16-4) unstable; urgency=medium


