=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.17.11), 
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.17.11), 
   quilt, autoconf, autotools-dev,
   lsb-release, sharutils,
   libreadline-dev, libtinfo-dev, libncursesw5-dev (>= 5.3),
@@ -13,15 +13,15 @@
   locales [!armel !avr32 !hppa !ia64 !mipsel],
   libsqlite3-dev, libffi-dev (>= 3.0.5) [!or1k !avr32],
   libgpm2 [linux-any],
-  mime-support, netbase, net-tools, bzip2, time,
-  libdb-dev (<< 1:6.0), libgdbm-dev, python:any, help2man,
-  xvfb, xauth
+  media-types | mime-support, netbase, net-tools, bzip2, time,
+  libdb-dev (<< 1:6.0), libgdbm-dev, help2man,
+  xvfb <!nocheck>, xauth <!nocheck>, python2.7:any <cross>
 Build-Depends-Indep: python3-sphinx
 Build-Conflicts: tcl8.4-dev, tk8.4-dev,
   python2.7-xml, python-xml,
   autoconf2.13, python-cxx-dev,
   hardening-wrapper
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/cpython-team/python2
 Vcs-Git: https://salsa.debian.org/cpython-team/python2.git
 XS-Testsuite: autopkgtest
@@ -30,10 +30,10 @@
 Architecture: any
 Multi-Arch: allowed
 Priority: optional
-Depends: python2.7-minimal (= ${binary:Version}), libpython2.7-stdlib (= ${binary:Version}), mime-support, ${shlibs:Depends}, ${misc:Depends}
+Depends: python2.7-minimal (= ${binary:Version}), libpython2.7-stdlib (= ${binary:Version}), media-types | mime-support, ${shlibs:Depends}, ${misc:Depends}
 Suggests: python2.7-doc, binutils
 Conflicts: python-profiler (<= 2.7.1-2)
-Breaks: python-virtualenv (<< 1.7.1.2-2~), vim-nox (<< 2:7.3.547-4), vim-gtk (<< 2:7.3.547-4), vim-gnome (<< 2:7.3.547-4), vim-athena (<< 2:7.3.547-4)
+Breaks: python-virtualenv (<< 1.7.1.2-2~), vim-nox (<< 2:7.3.547-4), vim-gtk (<< 2:7.3.547-4), vim-gnome (<< 2:7.3.547-4), vim-athena (<< 2:7.3.547-4), ${python27:Breaks}
 Replaces: python-profiler (<= 2.7.1-2), python2.7-minimal (<< 2.7.3-7~)
 Description: Interactive high-level object-oriented language (version 2.7)
  Python is a high-level, interactive, object-oriented language. Its 2.7 version
@@ -44,10 +44,10 @@
 Architecture: any
 Multi-Arch: same
 Priority: optional
-Depends: libpython2.7-minimal (= ${binary:Version}), libssl1.1 (>= 1.1.1), mime-support, ${shlibs:Depends}, ${misc:Depends}
+Depends: libpython2.7-minimal (= ${binary:Version}), libssl3, media-types | mime-support, ${shlibs:Depends}, ${misc:Depends}
 Provides: python2.7-cjkcodecs, python2.7-ctypes, python2.7-elementtree, python2.7-celementtree, python2.7-wsgiref, python2.7-profiler, python2.7-argparse, python-argparse
 Replaces: python2.7 (<< 2.7.5-0~), libpython2.7-testsuite (<< 2.7.13-4)
-Breaks: python-urllib3 (<< 1.9.1-3), ${pyfpe:Breaks}
+Breaks: python-urllib3 (<< 1.9.1-3), ${pyfpe:Breaks}, ${python27:Breaks}
 Description: Interactive high-level object-oriented language (standard library, version 2.7)
  Python is a high-level, interactive, object-oriented language. Its 2.7 version
  includes an extensive class library with lots of goodies for
@@ -66,11 +66,13 @@
 Suggests: binfmt-support
 Replaces: python2.7 (<< 2.7.8-7~)
 Conflicts: binfmt-support (<< 1.1.2)
+Breaks: ${python27:Breaks}
 Description: Minimal subset of the Python language (version 2.7)
  This package contains the interpreter and some essential modules.  It can
  be used in the boot process for some basic tasks.
  See /usr/share/doc/python2.7-minimal/README.Debian for a list of the modules
  contained in this package.
+XB-Cnf-Visible-Pkgname: python2.7
 
 Package: libpython2.7-minimal
 Architecture: any
@@ -79,7 +81,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libpython2.7-stdlib
 Replaces: python2.7 (<< 2.7.4-2), python2.7-minimal (<< 2.7.3-10), libpython2.7-stdlib (<< 2.7.8-7)
-Breaks: python2.7-minimal (<< 2.7.4~rc1-1~)
+Breaks: python2.7-minimal (<< 2.7.4~rc1-1~), ${python27:Breaks}
 Conflicts: binfmt-support (<< 1.1.2)
 Description: Minimal subset of the Python language (version 2.7)
  This package contains some essential modules. It is normally not
