=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 unexport CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
 
 export SHELL = /bin/bash
+
+export OPENSSL_CONF = $(CURDIR)/debian/openssl.cnf
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -48,7 +50,7 @@
   WITHOUT_BENCH := disabled on $(DEB_HOST_ARCH)
 endif
 ifeq ($(on_buildd),yes)
-  ifneq (,$(findstring $(DEB_HOST_ARCH), hppa loongarch64 mips mipsel mipsn32 mipsn32el mips64 mips64el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390))
+  ifneq (,$(findstring $(DEB_HOST_ARCH), hppa mips mipsel mipsn32 mipsn32el mips64 mips64el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el s390))
     WITHOUT_CHECK := yes
   endif
 endif
@@ -158,10 +160,6 @@
     DEBUG_CFLAGS += -mieee
     EXTRA_OPT_FLAGS += -O2
 endif
-# on sw_64, use -O0
-ifeq ($(DEB_HOST_ARCH),sw_64)
-    OPT_CFLAGS += -O0
-endif
 # issues with ia64 and m68k with -O3
 ifeq ($(DEB_HOST_ARCH),m68k)
     EXTRA_OPT_FLAGS += -O2
@@ -172,8 +170,13 @@
     DEBUG_CFLAGS += -fexceptions
 endif
 
+# on sunway, use -O2 only, use -mieee
+ifneq (,$(filter $(DEB_HOST_ARCH), sw64))
+    EXTRA_OPT_FLAGS += -O2
+endif
+
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 powerpc ppc64 ppc64el s390x x32 sw_64))
+  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 powerpc ppc64 ppc64el s390x x32))
     with_pgo := yes
   endif
 endif
@@ -181,7 +184,7 @@
   with_pgo :=
 endif
 
-ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 powerpc ppc64 ppc64el s390x x32 sw_64))
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 powerpc ppc64 ppc64el s390x x32))
   with_lto := yes
 endif
 
@@ -207,6 +210,14 @@
 
 make_build_target = $(if $(with_pgo),profile-opt)
 
+ifeq ($(derivative),Ubuntu)
+  arch_substvars =
+else ifeq ($(derivative),Debian)
+    ifneq (,$(filter $(distrelease), sid bullseye))
+      arch_substvars = '-Vpython27:Breaks=$(shell tr '\n' ' ' < debian/py27-breaks.$(derivative))'
+    endif
+endif
+
 buildd_static	:= $(CURDIR)/build-static
 buildd_shared	:= $(CURDIR)/build-shared
 buildd_debug	:= $(CURDIR)/build-debug
@@ -224,17 +235,3 @@
 p_tk	:= $(PVER)-tk
 p_gdbm	:= $(PVER)-gdbm
 p_dev	:= $(PVER)-dev
-p_exam	:= $(PVER)-examples
-p_idle	:= idle-$(PVER)
-p_doc	:= $(PVER)-doc
-p_dbg	:= $(PVER)-dbg
-
-p_lbase	:= lib$(PVER)-stdlib
-p_lmin	:= lib$(PVER)-minimal
-p_ldev	:= lib$(PVER)-dev
-p_ldbg	:= lib$(PVER)-dbg
-p_ltst	:= lib$(PVER)-testsuite
-
-d_base	:= debian/$(p_base)
-d_min	:= debian/$(p_min)
-d_lib	:= debian/$(p_lib)
