=== debian/tests/control ===
Tests: testsuite
Depends: build-essential, locales:native, python2.7-dev, libpython2.7-testsuite:native, python-gdbm
# test_zipfile wants to write
Restrictions: needs-root

Tests: testsuite-dbg
Depends: build-essential, locales:native, python2.7-dev, python2.7-dbg, libpython2.7-testsuite:native, python-gdbm-dbg
# test_zipfile wants to write
Restrictions: needs-root

Tests: failing-tests
Depends: build-essential, locales:native, python2.7-dev, libpython2.7-testsuite:native, python-gdbm
# test_zipfile wants to write
Restrictions: needs-root allow-stderr

Tests: failing-tests-dbg
Depends: build-essential, locales:native, python2.7-dev, python2.7-dbg, libpython2.7-testsuite:native, python-gdbm-dbg
# test_zipfile wants to write
Restrictions: needs-root allow-stderr
